Subject: bug#58434: Native compile results in error if -march and -mtune are specified

From: Loreno Heer <[email-masked]>
Date: Wed, 12 Oct 2022 12:35:38 +0200

You are right, did not notice this is a gccjit issue. I filed a bug
report with the gcc people. (might also be a packaging problem on mingw
and debian, that I don't know)

On 12.10.2022 09:29, Eli Zaretskii wrote:
>> Date: Wed, 12 Oct 2022 09:13:34 +0200
>> Cc: [email-masked]
>> From: Loreno Heer <[email-masked]>
>>
>>> OK, so I guess the only problem is that the compiler doesn't support
>>> "-march=native", and needs a specific architecture instead of a
>>> generic one.
>>
>> Yes, but there might be some disadvantages of specifying the
>> architecture directly. For example cache sizes are not supplied.
>> (https://stackoverflow.com/questions/5470257/how-to-see-which-flags-march-native-will-activate?noredirect=1&lq=1)
> 
> What can Emacs do about this?  The problem seems to be between you and
> libgccjit/GCC you have installed.  The rejection comes from there, not
> from Emacs, AFAIU.